Package com.google.gwt.storage.client

## Class StorageEvent

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.storage.client.StorageEvent

-     public final class StorageEvent
      extends JavaScriptObject

  Represents a Storage Event.

  Experimental API: This API is still under development and is subject to change.

  A Storage Event is fired when a storage area changes, as described in these two sections (for session storage, for local storage).

  See Also:
    `StorageEvent.Handler`, W3C Web Storage - StorageEvent, Safari StorageEvent reference

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `StorageEvent.Handler` | Represents an Event handler for `StorageEvent`s.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StorageEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKey()` | Returns the key being changed.
    `java.lang.String` | `getNewValue()` | Returns the new value of the key being changed.
    `java.lang.String` | `getOldValue()` | Returns the old value of the key being changed.
    `Storage` | `getStorageArea()` | Returns the `Storage` object that was affected.
    `java.lang.String` | `getUrl()` | Returns the address of the document whose key changed.

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageEvent

          protected StorageEvent()

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Returns the key being changed.
      Returns:
        the key being changed
      See Also:
        W3C Web Storage - StorageEvent.key

    - #### getNewValue

          public java.lang.String getNewValue()

      Returns the new value of the key being changed.
      Returns:
        the new value of the key being changed
      See Also:
        W3C Web Storage - StorageEvent.newValue

    - #### getOldValue

          public java.lang.String getOldValue()

      Returns the old value of the key being changed.
      Returns:
        the old value of the key being changed
      See Also:
        W3C Web Storage - StorageEvent.oldValue

    - #### getStorageArea

          public Storage getStorageArea()

      Returns the `Storage` object that was affected.
      Returns:
        the `Storage` object that was affected
      See Also:
        W3C Web Storage - StorageEvent.storageArea

    - #### getUrl

          public java.lang.String getUrl()

      Returns the address of the document whose key changed.
      Returns:
        the address of the document whose key changed
      See Also:
        W3C Web Storage - StorageEvent.url